Package org.apache.lucene.search

# Class FieldValueHitQueue.Entry

java.lang.Object
org.apache.lucene.search.ScoreDoc
org.apache.lucene.search.FieldValueHitQueue.Entry

Enclosing class:
  `FieldValueHitQueue<T extends FieldValueHitQueue.Entry>`

public static class FieldValueHitQueue.Entry extends ScoreDoc
Extension of ScoreDoc to also store the `FieldComparator` slot.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `slot`

  ### Fields inherited from class org.apache.lucene.search.ScoreDoc

  `COMPARATOR, doc, score, shardIndex`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Entry(int slot, int doc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### slot

    public int slot

- ## Constructor Details

  - ### Entry

    public Entry(int slot, int doc)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ScoreDoc`